Summary:	Evolution extension for Exchange Web Services
Summary(pl.UTF-8):	Rozszerzenie Evolution dla Exchange Web Services
Name:		evolution-ews
Version:	3.44.4
Release:	2
License:	LGPL v2+
Group:		X11/Applications/Mail
Source0:	https://download.gnome.org/sources/evolution-ews/3.44/%{name}-%{version}.tar.xz
# Source0-md5:	08dcfad674ddb3a50240ab65da57016b
URL:		https://wiki.gnome.org/Apps/Evolution
BuildRequires:	cmake >= 3.1
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.62
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel >= 1.0.4
BuildRequires:	libical-glib-devel >= 3.0.5
BuildRequires:	libmspack-devel >= 0.4
BuildRequires:	libsoup-devel >= 2.58
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{version}
Requires:	evolution-data-server >= %{version}
Requires:	glib2 >= 1:2.62
Requires:	json-glib >= 1.0.4
Requires:	libical-glib >= 3.0.5
Requires:	libsoup >= 2.58
Obsoletes:	evolution-ews-devel < 3.24.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
servers, versions 2007 and later, through its Exchange Web Services
(EWS) interface.

%description -l pl.UTF-8
Ten pakiet pozwala programowi Evolution współpracować z serwerami
Microsoft Exchange w wersji 2007 lub nowszej poprzez interfejs EWS
(Exchange Web Services).

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
	-DENABLE_SCHEMAS_COMPILE=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libdir}/evolution-ews
%attr(755,root,root) %{_libdir}/evolution/modules/module-ews-configuration.so
%attr(755,root,root) %{_libdir}/evolution/modules/module-microsoft365-configuration.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmicrosoft365.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendmicrosoft365.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-microsoft365-backend.so
%attr(755,root,root) %{_libdir}/evolution-ews/libcamelews-priv.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-ews.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-microsoft365.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews
%{_datadir}/metainfo/org.gnome.Evolution-ews.metainfo.xml
%changelog
* Wed Aug 17 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-ews.git;a=log;h=master

* Wed Aug 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 472d0a1
- release 2

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> ffb2a8f
- updated to 3.44.4

* Fri Jul 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 1e657e9
- updated to 3.44.3

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 5f51927
- updated to 3.44.2

* Fri Apr 22 2022 Jakub Bogusz <qboosh@pld-linux.org> 894aae2
- updated to 3.44.1

* Tue Apr 05 2022 Jakub Bogusz <qboosh@pld-linux.org> f3750d8
- updated to 3.44.0

* Mon Feb 14 2022 Jakub Bogusz <qboosh@pld-linux.org> b8d3e45
- updated to 3.42.4

* Sun Jan 09 2022 Jakub Bogusz <qboosh@pld-linux.org> 3f0cd1b
- updated to 3.42.3

* Fri Oct 29 2021 Jakub Bogusz <qboosh@pld-linux.org> a611e98
- updated to 3.42.1

* Fri Sep 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 47b5ae4
- updated to 3.42.0

* Tue Aug 17 2021 Jakub Bogusz <qboosh@pld-linux.org> c764ab5
- updated to 3.40.4

* Fri Jul 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 8a362bd
- updated to 3.40.3

* Sun Jun 06 2021 Jakub Bogusz <qboosh@pld-linux.org> ed28905
- updated to 3.40.2

* Thu May 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 79984e5
- updated to 3.40.1

* Wed Mar 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 48e1921
- updated to 3.40.0

* Sat Feb 13 2021 Jakub Bogusz <qboosh@pld-linux.org> acd3382
- updated to 3.38.4

* Fri Jan 08 2021 Jakub Bogusz <qboosh@pld-linux.org> f119a13
- updated to 3.38.3

* Fri Nov 20 2020 Jakub Bogusz <qboosh@pld-linux.org> ebdd352
- updated to 3.38.2

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 3f12908
- updated to 3.38.1

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 2715797
- updated to 3.38.0
- added Microsoft365 modules

